{
    "path": "$OET_PATH/testcases/function_test/pkg_test/antlr-maven-plugin/antlr-maven-plugin",
    "machine num": 1,
    "cases": [
        {
            "name": "test_antlr-maven-plugin_install",
            "desc": "测试antlr-maven-plugin软件包的安装功能，验证是否能够正确安装到系统中。",
            "machine num": 1
        },
        {
            "name": "test_antlr-maven-plugin_function_install",
            "desc": "测试antlr-maven-plugin软件包的安装功能，验证其能否通过包管理器正确安装到系统中。"
        },
        {
            "name": "test_antlr-maven-plugin_function_uninstall",
            "desc": "测试antlr-maven-plugin软件包的卸载功能，验证其能否被完全且干净地从系统中移除。"
        },
        {
            "name": "test_antlr-maven-plugin_function_version",
            "desc": "测试antlr-maven-plugin软件包的版本查询功能，验证能否正确显示其版本信息。"
        },
        {
            "name": "test_antlr-maven-plugin_function_generate",
            "desc": "测试antlr-maven-plugin的核心功能，验证其能否在Maven项目中根据语法文件正确生成词法/语法分析器代码。"
        },
        {
            "name": "test_antlr-maven-plugin_function_clean",
            "desc": "测试antlr-maven-plugin的清理功能，验证其能否正确清理先前生成的语法分析器源代码文件。"
        }
    ]
}